### Virtual Method

# Foundry RunTool send_signal

#### Declaration [src]

    DexFuture*
    send_signal (
      FoundryRunTool* self,
      int signum
    )

#### Description [src]

Sends a signal to the running application.

The future resolves when the signal has been sent. There is no guarantee of signal delivery.

#### Parameters

`signum`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when the signal has been sent.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.